package response

import (
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"
)

type AlertItem struct {
	entity.Alert   `xorm:"extends"`
	AlertCondition entity.AlertCondition `json:"alert_condition" xorm:"alert_condition"`
	PushRecords    []PushRecordItem      `json:"push_records"`
}

type AlertList struct {
	TotalCount int64       `json:"total_count"`
	List       []AlertItem `json:"list"`
}

type CatIndices struct {
	Health       string `json:"health"`
	Status       string `json:"status"`
	Index        string `json:"index"`
	Uuid         string `json:"uuid"`
	Pri          string `json:"pri"`
	Rep          string `json:"rep"`
	DocsCount    string `json:"docs.count"`
	DocsDeleted  string `json:"docs.deleted"`
	StoreSize    string `json:"store.size"`
	PriStoreSize string `json:"pri.store.size"`
}

type OpenSearchSource struct {
	Took     int    `json:"took"`
	TimedOut bool   `json:"timed_out"`
	Shards   Shards `json:"_shards"`
	Hits     Hits   `json:"hits"`
}
type Shards struct {
	Total      int `json:"total"`
	Successful int `json:"successful"`
	Skipped    int `json:"skipped"`
	Failed     int `json:"failed"`
}
type Total struct {
	Value    int    `json:"value"`
	Relation string `json:"relation"`
}

type SubHits struct {
	Index   string    `json:"_index"`
	Type    string    `json:"_type"`
	ID      string    `json:"_id"`
	Score   float64   `json:"_score"`
	Ignored []string  `json:"_ignored"`
	Source  AlertItem `json:"_source"`
}
type Hits struct {
	Total    Total     `json:"total"`
	MaxScore float64   `json:"max_score"`
	Hits     []SubHits `json:"hits"`
}
