package client

import (
	"crypto/tls"
	"github.com/opensearch-project/opensearch-go"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"net/http"
)

var openSearchClient *opensearch.Client

func GetOpenSearch() (client *opensearch.Client, err error) {
	if openSearchClient != nil {
		return openSearchClient, nil
	}
	client, err = opensearch.NewClient(opensearch.Config{
		Transport: &http.Transport{
			TLSClientConfig: &tls.Config{InsecureSkipVerify: true},
		},
		Addresses: []string{conf.Options.OpenSearchAddresses},
		Username:  conf.Options.OpenSearchUserName,
		Password:  conf.Options.OpenSearchPassword,
	})
	if err != nil {
		return
	}
	openSearchClient = client
	return
}
