package router

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
)

// InitAlertOverviewRouter 初始化预警总览配置路由
func InitAlertOverviewRouter(e *gin.Engine) {
	overviewGroup := e.Group(fmt.Sprintf("%s/alert_overview", conf.Options.Prefix))
	{
		overviewGroup.GET("", controller.DetailAlertOverview)
	}
	screensGroup := e.Group(fmt.Sprintf("%s/screens", conf.Options.Prefix))
	{
		screensGroup.GET("", controller.DetailAlert)
		screensGroup.GET("list", controller.ListAlert)
	}
}
