package router

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/constant"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/router/middleware/header"
)

// initDictRoute 初始化字典相关路由
func initDictRoute(e *gin.Engine) {
	base := e.Group(fmt.Sprintf("%s/dict", conf.Options.Prefix), header.SetContext)

	//系统字典
	dict := new(controller.Dict)
	base.POST("", header.AddLogMiddleware("字典管理", "/dict", constant.OpTypeIntMap[constant.Add]), dict.Add)                           //新增字典
	base.PUT("", header.AddLogMiddleware("字典管理", "/dict", constant.OpTypeIntMap[constant.Edit]), dict.Update)                        //修改字典
	base.DELETE("", header.AddLogMiddleware("字典管理", "/dict", constant.OpTypeIntMap[constant.Delete]), dict.Del)                      //删除字典
	base.GET("", header.AddLogMiddleware("字典管理", "/dict", constant.OpTypeIntMap[constant.Find]), dict.List)                          //字典列表
	base.GET("/tree", header.AddLogMiddleware("字典管理", "/dict/tree", constant.OpTypeIntMap[constant.Find]), dict.DictTree)            //字典列表-树结构
	base.GET("/classList", header.AddLogMiddleware("字典管理", "/dict/classList", constant.OpTypeIntMap[constant.Find]), dict.ClassList) //字典分类列表
	base.PUT("/sort", header.AddLogMiddleware("字典管理", "/dict/sort", constant.OpTypeIntMap[constant.UpdateMove]), dict.DictSort)      //字典排序
	base.PUT("/status", header.AddLogMiddleware("字典管理", "/dict/status", constant.OpTypeIntMap[constant.Edit]), dict.UpdateStatus)    //字典状态

	//base.GET("/manage_list", dict.ManageList) //字典管理列表

}
