package router

import (
	"fmt"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/constant"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/router/middleware/header"

	"github.com/gin-gonic/gin"
)

// 初始化组织相关路由
func InitOrganizationRouter(e *gin.Engine) {
	base := e.Group(fmt.Sprintf("%s/org", conf.Options.Prefix), header.SetContext)
	{
		base.POST("/add", header.AddLogMiddleware("组织管理", "/org/add", constant.OpTypeIntMap[constant.Add]), controller.AddOrg)          //新增组织or目录
		base.PUT("/:id", header.AddLogMiddleware("组织管理", "/org", constant.OpTypeIntMap[constant.Edit]), controller.UpdateOrg)           //更新组织或目录
		base.DELETE("/:id", header.AddLogMiddleware("组织管理", "/org", constant.OpTypeIntMap[constant.Delete]), controller.DeleteOrg)      //删除组织或者目录
		base.PUT("/sort", header.AddLogMiddleware("组织管理", "/org/sort", constant.OpTypeIntMap[constant.UpdateMove]), controller.SortOrg) //组织排序
		base.GET("/tree", header.AddLogMiddleware("组织管理", "/org/tree", constant.OpTypeIntMap[constant.Find]), controller.GetOrgTree)    //查询组织树
		base.GET("/detail", header.AddLogMiddleware("组织管理", "/org/detail", constant.OpTypeIntMap[constant.Find]), controller.OrgDetail) //查询组织详情
	}
}
