package router

import (
	"fmt"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/constant"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/router/middleware/header"

	"github.com/gin-gonic/gin"
)

func InitSystemMenuRouter(e *gin.Engine) {
	base := e.Group(fmt.Sprintf("%s/menu", conf.Options.Prefix), header.SetContext)

	{
		base.GET("/group/dict", header.AddLogMiddleware("菜单管理", "/menu/group/dict", constant.OpTypeIntMap[constant.Find]), controller.GetGroupDict) //获取字典分组
		base.POST("/add", header.AddLogMiddleware("菜单管理", "/menu/add", constant.OpTypeIntMap[constant.Add]), controller.AddSystemMenu)              //新增菜单
		base.PUT("/:id", header.AddLogMiddleware("菜单管理", "/menu", constant.OpTypeIntMap[constant.Edit]), controller.UpdateMenu)                     //菜单更新
		base.GET("/tree", header.AddLogMiddleware("菜单管理", "/menu/tree", constant.OpTypeIntMap[constant.Find]), controller.GetMenuTree)              //获取菜单树形结构
		base.PUT("/sort", header.AddLogMiddleware("菜单管理", "/menu/sort", constant.OpTypeIntMap[constant.UpdateMove]), controller.MenuSort)           //菜单排序
		base.DELETE("/:id", header.AddLogMiddleware("菜单管理", "/menu", constant.OpTypeIntMap[constant.Delete]), controller.DeleteMenu)                //删除菜单
		base.GET("/user/tree", header.AddLogMiddleware("菜单管理", "/menu/user/tree", constant.OpTypeIntMap[constant.Find]), controller.GetSystemTree)  //获取当前系统用户树
	}
}
