package router

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/common/conf"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/controller"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/constant"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/router/middleware/header"
)

// 初始化配置管理路由
func InitPreferenceConfigRouter(e *gin.Engine) {
	sys := e.Group(fmt.Sprintf("%s/sysOptions", conf.Options.Prefix), header.SetContext)
	{
		sys.POST("licenseOpts", header.AddLogMiddleware("首选项管理", "/sysOptions/licenseOpts", constant.OpTypeIntMap[constant.Edit]), controller.SetLicenseOptions)       // 设置授权信息
		sys.POST("loginPageOpts", header.AddLogMiddleware("首选项管理", "/sysOptions/loginPageOpts", constant.OpTypeIntMap[constant.Edit]), controller.SetLoginPageOptions) // 设置授权信息
		sys.POST("safeOpts", header.AddLogMiddleware("首选项管理", "/sysOptions/safeOpts", constant.OpTypeIntMap[constant.Edit]), controller.SetSafeOptions)                // 设置安全选项
		sys.POST("loginOpts", header.AddLogMiddleware("首选项管理", "/sysOptions/loginOpts", constant.OpTypeIntMap[constant.Edit]), controller.SetLoginOptions)             // 设置登录选项
		sys.GET("checkLicense", header.AddLogMiddleware("首选项管理", "/sysOptions/checkLicense", constant.OpTypeIntMap[constant.Edit]), controller.CheckLicense)           // 校验license是否有效
		sys.POST("reStartConfig", header.AddLogMiddleware("首选项管理", "/sysOptions/reStartConfig", constant.OpTypeIntMap[constant.Edit]), controller.ReStartConfig)       // 一键还原受限
		sys.POST("getLicenseInfo", header.AddLogMiddleware("首选项管理", "/sysOptions/getLicenseInfo", constant.OpTypeIntMap[constant.Edit]), controller.GetLicenseInfo)    // 获取license信息
	}

	notLoginSys := e.Group(fmt.Sprintf("%s/sysOptions", conf.Options.Prefix))
	{
		notLoginSys.GET("", controller.GetSystemOptions) // 获取系统首选项信息

	}
}
